package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.domain.entity.SickCircleEntity;
import doctor.service.PatientService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/sickCircle/v1")
public class SickCircleV1Controller {
    @Autowired
    private PatientService patientService;
    @GetMapping("/findSickCircleList")
    public HealthR<List<SickCircleEntity>> findSickCircleList(@RequestParam(value = "departmentId",required = false) Integer departmentId,
                                                              @RequestParam(value = "page") Integer page,
                                                              @RequestParam(value = "count") Integer count) {
        HealthR<List<SickCircleEntity>> listHealthR = patientService.sickCircleList(departmentId, page, count);
        return listHealthR;
    }
}
