package doctor.mapper;

import doctor.domain.entity.SickCircleEntity;
import doctor.domain.vo.SickInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SickCircleMapper {
    List<SickCircleEntity> findSickCircleList(@Param("departmentId") Integer departmentId);

    SickCircleEntity findSickCircleInfo(@Param("sickCircleId") Integer sickCircleId);

    SickCircleEntity findSickCircleInfoByKeyWord(@Param("keyWord") String keyWord);

    void publishComment(@Param("sickCircleId") Integer sickCircleId, @Param("userid") Long userid, @Param("content") String content);

    void publishSickCircle(SickCircleEntity sickCircleEntity);


    void expressOpinion(@Param("commentId") Integer commentId, @Param("opinion") Integer opinion, @Param("userid") Long userid);

    void ins(@Param("sickCircleId") Integer sickCircleId);

    void inss(@Param("sickCircleId") Integer sickCircleId, @Param("userid") Long userid);

    void jia(@Param("commentId") Integer commentId);

    void jian(@Param("commentId") Integer commentId);

    void jiann(@Param("commentId") Integer commentId);

    void jiaa(@Param("commentId") Integer commentId);

}
