package doctor.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.domain.vo
 * @Author: jpz
 * @CreateTime: 2024/1/15 11:38
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DoctorVo {
    private Integer id;
    private Integer departmentId;
    private String departmentName;
    private String goodField;
    private String imagePic;
    private String inauguralHospital;
    private String jobTitle;
    private String name;
    private String personalProfile;
}
