package doctor.service.impl;

import doctor.common.core.web.controller.BaseController;
import doctor.domain.entity.InquiryDetailsRecord;
import doctor.domain.entity.UserEntity;
import doctor.domain.vo.HistoryInquiryRecordVo;
import doctor.domain.vo.InquiryRecordVo;
import doctor.mapper.InquiryVerifyServiceMapper;
import doctor.service.InquiryVerifyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class InquiryVerifyServiceImpl extends BaseController implements InquiryVerifyService {
    @Autowired
    private InquiryVerifyServiceMapper inquiryVerifyServiceMapper;

    @Override
    public List<InquiryRecordVo> findInquiryRecordList() {
           //TODO 待做
        //inquiryVerifyServiceMapper.findInquiryRecordList();
        return null;
    }

    @Override
    public List<HistoryInquiryRecordVo> findHistoryInquiryRecord(Integer page, Integer count, Integer doctorId) {
        startPage(page,count);
        //查询所有和医生聊天的聊天列表拿到患者id
        List<InquiryDetailsRecord> inquiryDetailsRecord = inquiryVerifyServiceMapper.findHistoryInquiryRecord(doctorId);
        //定义一个数组用来接收所有的用户id
        String userId="";
        for (InquiryDetailsRecord detailsRecord : inquiryDetailsRecord) {
            userId+=","+detailsRecord;
        }
        String[] split = userId.split(",");
        //患者所有信息赋值
        List<UserEntity> userEntities = inquiryVerifyServiceMapper.findUserByIds(split);
        ArrayList<HistoryInquiryRecordVo> historyInquiryRecordVos = new ArrayList<>();
        for (UserEntity userEntity : userEntities) {
            HistoryInquiryRecordVo historyInquiryRecordVo = new HistoryInquiryRecordVo();
            historyInquiryRecordVo.setUserId(userEntity.getId());
            historyInquiryRecordVo.setNickName(historyInquiryRecordVo.getNickName());
            historyInquiryRecordVo.setUerHeadPic(userEntity.getHeadPic());
            historyInquiryRecordVo.setStatus(3);
            historyInquiryRecordVos.add(historyInquiryRecordVo);
        }
        for (HistoryInquiryRecordVo historyInquiryRecordVo : historyInquiryRecordVos) {
            for (InquiryDetailsRecord detailsRecord : inquiryDetailsRecord) {
                historyInquiryRecordVo.setInquiryTime(detailsRecord.getAskTime());
            }
        }
        return historyInquiryRecordVos;
    }
}
